require File.expand_path(File.dirname(__FILE__) + "/../spec_helper")
require 'hangfu/hangfu'

describe Hangfu::Hangfu do
  it "should be instantiable with no paramters" do
    lambda { Hangfu::Hangfu.new }.should_not raise_error
  end
end

describe "A game" do
  before(:each) do
    @hangfu = Hangfu::Hangfu.new
    @hangfu.word_list = ["rabbit", "horse", "snake", "chipmunk", "cat", "dog", "frog", "toad", "bird", "hawk", "elephant", "zebra", "lion", "tiger", "lizard", "fish", "whale", "minnow", "monkey", "eagle", "worm", "ant", "goat", "cow", "pig", "camel", "donkey", "worm", "turtle", "alligator", "crocodile", "cheetah", "robin", "dove", "fly", "butterfly", "mouse", "hamster", "rat", "bat", "stork", "falcon", "sparrow", "leopard", "bear"]
  end
  
  it "gives lucky letter 'l' on [e_ephant]" do
    @hangfu.guess("e_ephant", 1).should == 'l'
  end
  
  it "gives lucky letter 'o' on [h_rse]" do
    @hangfu.guess("h_rse", 1).should == 'o'
  end
  
  it "gives lucky letter 'o' on [ho_se]" do
    @hangfu.guess("ho_se", 1).should == 'r'
  end
  
  it "gives lucky letter 'h' on [_o_se]" do
    @hangfu.guess("_o_se", 1).should == 'm'
    @hangfu.incorrect_guess('m')
    @hangfu.guess("_o_se", 1).should == 'r'
  end
end